/*!
 * Copyright 2020 Tejas Technologies, India.
 */

.progressBackgroundFilter {
    position: fixed;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    overflow: hidden;
    background-color: #000;
    filter: alpha(opacity=50);
    opacity: 0.5;
    z-index: 1000;
}

.processMessage {
    position: fixed;
    top: 30%;
    left: 43%;
    z-index: 1001;
    align-items: center;
}

.blink {
    animation: blinker 1s linear infinite;
}



/*! **** Home Page ****  */

img.wp-smiley,
img.emoji {
    display: inline !important;
    border: none !important;
    box-shadow: none !important;
    height: 1em !important;
    width: 1em !important;
    margin: 0 .07em !important;
    vertical-align: -0.1em !important;
    background: none !important;
    padding: 0 !important;
}


/*! **** Home Page | map_canvas ****  */

#map_canvas {
    width: 100%;
    height: 500px;
    border: 2px solid #3872ac;
    position: relative;
}

.markerLoader {
    width: 100px;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -50px;
    margin-top: -50px;
}

    .markerLoader img {
        width: 100%;
    }

.googleMarkerOptions {
    width: 500px;
    float: right;
    margin-bottom: 15px;
}

    .googleMarkerOptions > form {
        display: flex;
        align-items: center;
    }

    .googleMarkerOptions select {
        height: auto;
        padding: 6px 10px;
        margin: 0 5px;
        border-radius: 4px;
    }

        .googleMarkerOptions select.radius {
            width: auto;
        }

    .googleMarkerOptions #utility_type {
        width: 100%;
        margin-left: 0;
    }

    .googleMarkerOptions > form .btn {
        border-radius: 4px;
        margin-right: 0;
    }

        .googleMarkerOptions > form .btn:focus {
            outline: none;
        }

    .googleMarkerOptions > form .nearby-img {
        width: 40px;
        margin-right: 10px;
    }

.googleMapMarker {
    display: inline-block;
    width: 100%;
}

body.contrast .googleMapMarkerInfoHOlder {
    background: #000;
    padding: 8px 14px 54px;
}

.googleMapMarkerLocationList {
    margin-top: 25px;
}

    .googleMapMarkerLocationList ul {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-gap: 20px;
        padding: 0;
        word-break: break-word;
    }

    .googleMapMarkerLocationList li {
        list-style: none;
        padding: 12px;
        box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.25);
    }

/*
                .googleMapMarkerLocationList li:nth-child(7n-2), .googleMapMarkerLocationList li:nth-child(7n-1), .googleMapMarkerLocationList li:nth-child(7n){grid-column: span 4;}
        */
@media screen and (max-width: 1199px) {
    .googleMapMarkerLocationList ul {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media screen and (max-width: 992px) {
    .googleMapMarkerLocationList ul {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (max-width: 575px) {
    .googleMapMarkerLocationList ul {
        grid-template-columns: repeat(1, 1fr);
    }
}

@media screen and (max-width: 640px) {
    .googleMarkerOptions {
        width: 100%;
    }

        .googleMarkerOptions > form {
            display: block;
            text-align: center;
        }

        .googleMarkerOptions #utility_type {
            width: 100%;
        }

        .googleMarkerOptions > form .nearby-img {
            display: none;
        }

        .googleMarkerOptions select.radius {
            margin: 10px 0;
        }

        .googleMarkerOptions > form .btn {
            font-size: 1.1em;
        }
}
